Subject: Mandatory fields in Certificate

From: "Frederic Viollet" <[email-masked]>
Date: Mon, 27 Jan 2003 11:56:56 +0100

Hello,

I'm trying to set up a "simple" SSL server (no client nor server verification)
I've noticed that, if a generate the server's certificate with a Microsoft CA, I make the SSL work. If the certificate is generated with a Netscape CA, it works ok.
While comparing the two certificates, I found some fields in the MS-CA that were not (or different) in the Netscape CA, and fields that were in the Netscape one and not in the MS one (NetscapeCertType was only visible in the Netscape one)...

Could you please tell me if some fields are mandatory in the server's certificate? I just want to set up a simple SSL transaction between my server and my client (without any client nor server verification)... This would help me greatly, thanks in advance...

Frederic Viollet